Nestopia Core API: Nes::Api::Movie

Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## api
Class Nes::Api::Movie

    Base
       |
       +--Nes::Api::Movie

class Nes::Api::Movie
extends Base

Movie playing/recording interface.

Inner Classes, Typedefs, and Enums
`enum` | `Nes::Api::Movie::Event` Movie event.
`typedef` | `Nes::Api::Movie::EventCallback` Movie event callback prototype.
`enum` | `Nes::Api::Movie::How` Recording procedure.

Field Summary
`static Nes::Api::Movie::EventCaller` | `eventCallback` Movie event callback manager.

Constructor Summary
`Movie( T& instance )` Interface constructor.

Method Summary
`void` | `Eject()` Deprecated. @deprecated
`bool` | `IsPlaying() const` Checks if a movie is being played.
`bool` | `IsRecording() const` Checks if a movie is being recorded.
`bool` | `IsStopped() const` Checks if a movie has stopped playing or recording.
`Result` | `Play( std::istream& stream )` Plays movie.
`Result` | `Record( std::iostream& stream, Nes::Api::Movie::How how = CLEAN )` Records movie.
`void` | `Stop()` Stops movie.

Field Detail

### eventCallback

    public static Nes::Api::Movie::EventCaller eventCallback;

  Movie event callback manager. Static object used for adding the user defined callback.

Constructor Detail

### Movie

    public Movie( T& instance );

  Interface constructor.

Parameters:
  `instance` - emulator instance

Method Detail

### Eject

    public void Eject();

  Deprecated. @deprecated

  Ejects movie.

### IsPlaying

    public bool IsPlaying() const throw();

  Checks if a movie is being played.

Returns:
  true if playing

### IsRecording

    public bool IsRecording() const throw();

  Checks if a movie is being recorded.

Returns:
  true if recording

### IsStopped

    public bool IsStopped() const throw();

  Checks if a movie has stopped playing or recording.

Returns:
  true if stopped

### Play

    public Result Play( std::istream& stream ) throw();

  Plays movie.

Parameters:
  `stream` - input stream to movie
Returns:
  result code

### Record

    public Result Record( std::iostream& stream, Nes::Api::Movie::How how = CLEAN ) throw();

  Records movie.

Parameters:
  `stream` - stream to record movie to
  `how` - CLEAN to erase any previous content, APPEND to keep content, default is CLEAN
Returns:
  result code

### Stop

    public void Stop() throw();

  Stops movie.

Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD